%define oname   RubyInline

Name:       ruby-%{oname}
Epoch:      1
Version:    3.14.0
Release:    %mkrel 1
Summary:    Inline allows you to write foreign code within your ruby code
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/rubyinline/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Inline allows you to write foreign code within your ruby code. It
automatically determines if the code in question has changed and
builds it only when necessary. The extensions are then automatically
loaded into the class/module that defines it.
You can even write extra builders that will allow you to write inlined
code in any language. Use Inline::C as a template and look at
Module#inline for the required API.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# Fix shebang
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/inline.rb

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc History.txt Manifest.txt README.txt


%changelog
* Mon Apr 08 2024 pterjan <pterjan> 1:3.14.0-1.mga10
+ Revision: 2055535
- Update to 3.14.0

* Mon Aug 15 2022 pterjan <pterjan> 1:3.12.6-1.mga9
+ Revision: 1877729
- Update to 3.12.6

* Fri Mar 25 2022 umeabot <umeabot> 1:3.12.5-2.mga9
+ Revision: 1826517
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 1:3.12.5-1.mga8
+ Revision: 1561447
- Update to 3.12.5

* Wed Feb 12 2020 umeabot <umeabot> 1:3.12.4-3.mga8
+ Revision: 1499945
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:3.12.4-2.mga7
+ Revision: 1275227
- Mageia 7 Mass Rebuild

* Thu Dec 31 2015 pterjan <pterjan> 1:3.12.4-1.mga6
+ Revision: 917272
- Update to 3.12.4

* Wed Oct 15 2014 umeabot <umeabot> 1:3.9.0-10.mga5
+ Revision: 744438
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.9.0-9.mga5
+ Revision: 688741
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1:3.9.0-8.mga4
+ Revision: 562831
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1:3.9.0-7.mga4
+ Revision: 561011
- 'Fix gem macros'

* Sat Oct 19 2013 umeabot <umeabot> 1:3.9.0-6.mga4
+ Revision: 535296
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1:3.9.0-5.mga4
+ Revision: 481846
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 1:3.9.0-4.mga4
+ Revision: 476731
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1:3.9.0-3.mga3
+ Revision: 395702
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:3.9.0-2.mga3
+ Revision: 380615
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1:3.9.0-1.mga3
+ Revision: 312535
- new version 3.9.0

* Fri Jun 08 2012 shlomif <shlomif> 3.11.2-1.mga3
+ Revision: 257753
- New version - 3.11.2

* Tue Jan 25 2011 shikamaru <shikamaru> 3.8.6-3.mga1
+ Revision: 39634
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 3.8.6-2.mga1
+ Revision: 37757
- imported package ruby-RubyInline

